## solo2-0.1.1.crate

=== pkg/arch-bin/Makefile ===
clean:
	rm -rf pkg src *solo2* LICENSE*
